package com.caimei.controller;

import com.caimei.model.ResponseJson;
import com.caimei.service.UserService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

@Slf4j
@RestController
@RequestMapping("/user")
public class UserApi {
    private UserService userService;

    @Autowired
    public void setUserService(UserService userService) {
        this.userService = userService;
    }

    /**
     * 获取用户余额
     * @param request
     * @return
     */
    @PostMapping("/balance")
    public ResponseJson<Map<String,Object>> getBalance(HttpServletRequest request){
        String cmAccount = request.getParameter("cmAccount");
        String data = request.getParameter("data");
        if (StringUtils.isEmpty(cmAccount)) {
            return ResponseJson.error("采美账户不能为空", null);
        }
        if (StringUtils.isEmpty(data)) {
            return ResponseJson.error("用户数据不能为空", null);
        }
        return userService.getBalance(cmAccount, data);
    }
}
