package com.caimei.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.caimei.mapper.OrderMapper;
import com.caimei.mapper.OrganizeMapper;
import com.caimei.mapper.ProductMapper;
import com.caimei.model.ResponseJson;
import com.caimei.model.enumerate.ReceivablesType;
import com.caimei.model.po.*;
import com.caimei.model.vo.*;
import com.caimei.service.OrderService;
import com.caimei.service.UserService;
import com.caimei.utils.*;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.interceptor.TransactionAspectSupport;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import java.util.*;

/**
 * @author Aslee
 */
@Slf4j
@Service
public class UserServiceImpl implements UserService {
    @Resource
    private OrganizeMapper organizeMapper;

    @Value("${caimei.oldapi}")
    private String domain;


    @Override
    public ResponseJson<Map<String, Object>> getBalance(String cmAccount, String data) {
        // 获取组织信息
        CmApiOrganizePo organizePo = organizeMapper.getOrganizeByCmAccount(cmAccount);
        if (null == organizePo) {
            return ResponseJson.error("参数异常，用户不存在", null);
        }
        // 获得用户Id
        Integer userId = organizePo.getUserId();
        BigDecimal balance = organizeMapper.getBalanceByUserId(userId);
        Map<String, Object> result = new HashMap<>(2);
        result.put("cmAccount", cmAccount);
        result.put("balance", balance);
        return ResponseJson.success(result);
    }
}
